org.apache.storm.daemon.logviewer.webapp

## Class LogviewerResource

- java.lang.Object
- - org.apache.storm.daemon.logviewer.webapp.LogviewerResource

-     @Path(value="/")
      public class LogviewerResource
      extends Object

  Handles HTTP requests for Logviewer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogviewerResource(LogviewerLogPageHandler logviewerParam, LogviewerProfileHandler profileHandler, LogviewerLogDownloadHandler logDownloadHandler, LogviewerLogSearchHandler logSearchHandler, IHttpCredentialsPlugin httpCredsHandler, StormMetricsRegistry metricsRegistry)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `daemonLog(javax.servlet.http.HttpServletRequest request)` Handles ‘/daemonlog’ request.
    `javax.ws.rs.core.Response` | `deepSearch(String topologyId, javax.servlet.http.HttpServletRequest request)` Handles ‘/deepSearch’ request.
    `javax.ws.rs.core.Response` | `downloadDaemonLogFile(javax.servlet.http.HttpServletRequest request)` Handles ‘/daemondownload’ (downloading specific daemon log file) request.
    `javax.ws.rs.core.Response` | `downloadDumpFile(String topologyId, String hostPort, String fileName, javax.servlet.http.HttpServletRequest request)` Handles ‘/dumps’ (downloading specific dump file) request.
    `javax.ws.rs.core.Response` | `downloadLogFile(javax.servlet.http.HttpServletRequest request)` Handles ‘/download’ (downloading specific log file) request.
    `javax.ws.rs.core.Response` | `listDumpFiles(String topologyId, String hostPort, javax.servlet.http.HttpServletRequest request)` Handles ‘/dumps’ (listing dump files) request.
    `javax.ws.rs.core.Response` | `listLogs(javax.servlet.http.HttpServletRequest request)` Handles ‘/listLogs’ request.
    `javax.ws.rs.core.Response` | `log(javax.servlet.http.HttpServletRequest request)` Handles ‘/log’ request.
    `javax.ws.rs.core.Response` | `search(javax.servlet.http.HttpServletRequest request)` Handles ‘/search’ (searching from specific worker or daemon log file) request.
    `javax.ws.rs.core.Response` | `searchLogs(javax.servlet.http.HttpServletRequest request)` Handles ‘/searchLogs’ request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogviewerResource

          public LogviewerResource(LogviewerLogPageHandler logviewerParam,
                                   LogviewerProfileHandler profileHandler,
                                   LogviewerLogDownloadHandler logDownloadHandler,
                                   LogviewerLogSearchHandler logSearchHandler,
                                   IHttpCredentialsPlugin httpCredsHandler,
                                   StormMetricsRegistry metricsRegistry)

      Constructor.

      Parameters:
        `logviewerParam` - `LogviewerLogPageHandler`
        `profileHandler` - `LogviewerProfileHandler`
        `logDownloadHandler` - `LogviewerLogDownloadHandler`
        `logSearchHandler` - `LogviewerLogSearchHandler`
        `httpCredsHandler` - `IHttpCredentialsPlugin`
        `metricsRegistry` - The metrics registry

  - ### Method Detail

    - #### log

          @GET
           @Path(value="/log")
          public javax.ws.rs.core.Response log(@Context
                                                                         javax.servlet.http.HttpServletRequest request)
                                                                  throws IOException

      Handles ‘/log’ request.

      Throws:
        `IOException`

    - #### daemonLog

          @GET
           @Path(value="/daemonlog")
          public javax.ws.rs.core.Response daemonLog(@Context
                                                                                     javax.servlet.http.HttpServletRequest request)
                                                                              throws IOException

      Handles ‘/daemonlog’ request.

      Throws:
        `IOException`

    - #### searchLogs

          @GET
           @Path(value="/searchLogs")
          public javax.ws.rs.core.Response searchLogs(@Context
                                                                                       javax.servlet.http.HttpServletRequest request)
                                                                                throws IOException

      Handles ‘/searchLogs’ request.

      Throws:
        `IOException`

    - #### listLogs

          @GET
           @Path(value="/listLogs")
          public javax.ws.rs.core.Response listLogs(@Context
                                                                                   javax.servlet.http.HttpServletRequest request)
                                                                            throws IOException

      Handles ‘/listLogs’ request.

      Throws:
        `IOException`

    - #### listDumpFiles

          @GET
           @Path(value="/dumps/{topo-id}/{host-port}")
          public javax.ws.rs.core.Response listDumpFiles(@PathParam(value="topo-id")
                                                                                                           String topologyId,
                                                                                                           @PathParam(value="host-port")
                                                                                                           String hostPort,
                                                                                                           @Context
                                                                                                           javax.servlet.http.HttpServletRequest request)
                                                                                                    throws IOException

      Handles ‘/dumps’ (listing dump files) request.

      Throws:
        `IOException`

    - #### downloadDumpFile

          @GET
           @Path(value="/dumps/{topo-id}/{host-port}/{filename}")
          public javax.ws.rs.core.Response downloadDumpFile(@PathParam(value="topo-id")
                                                                                                                         String topologyId,
                                                                                                                         @PathParam(value="host-port")
                                                                                                                         String hostPort,
                                                                                                                         @PathParam(value="filename")
                                                                                                                         String fileName,
                                                                                                                         @Context
                                                                                                                         javax.servlet.http.HttpServletRequest request)
                                                                                                                  throws IOException

      Handles ‘/dumps’ (downloading specific dump file) request.

      Throws:
        `IOException`

    - #### downloadLogFile

          @GET
           @Path(value="/download")
          public javax.ws.rs.core.Response downloadLogFile(@Context
                                                                                          javax.servlet.http.HttpServletRequest request)
                                                                                   throws IOException

      Handles ‘/download’ (downloading specific log file) request.

      Throws:
        `IOException`

    - #### downloadDaemonLogFile

          @GET
           @Path(value="/daemondownload")
          public javax.ws.rs.core.Response downloadDaemonLogFile(@Context
                                                                                                      javax.servlet.http.HttpServletRequest request)
                                                                                               throws IOException

      Handles ‘/daemondownload’ (downloading specific daemon log file) request.

      Throws:
        `IOException`

    - #### search

          @GET
           @Path(value="/search")
          public javax.ws.rs.core.Response search(@Context
                                                                               javax.servlet.http.HttpServletRequest request)
                                                                        throws IOException

      Handles ‘/search’ (searching from specific worker or daemon log file) request.

      Throws:
        `IOException`

    - #### deepSearch

          @GET
           @Path(value="/deepSearch/{topoId}")
          public javax.ws.rs.core.Response deepSearch(@PathParam(value="topoId")
                                                                                                String topologyId,
                                                                                                @Context
                                                                                                javax.servlet.http.HttpServletRequest request)
                                                                                         throws IOException

      Handles ‘/deepSearch’ request.

      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.